#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-AaJgT1ookFVE5KAfhLNLol
key:                  hOpenPGP-2.9.8-AaJgT1ookFVE5KAfhLNLol
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  12f7d8913c63f1d840804c82c0b3fa1b
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-AaJgT1ookFVE5KAfhLNLol
depends:
    aeson-2.1.2.1-C2lvYQBBKZqBmgtqDyQIib
    asn1-encoding-0.9.6-6AuoC4Bxp5t28oFD8UPse0
    attoparsec-0.14.4-KcORgxsqlxoJMIXhUYAkBQ base-4.15.1.0
    base16-bytestring-1.0.2.0-K2iBTo1iZcTF38UF7fHiGD
    bifunctors-5.6-Ha587rjufS2Eypk4ShcbV binary-0.8.8.0
    binary-conduit-1.3.1-CjffUKkSvjRB78ntWYxYgn bytestring-0.10.12.1
    bz2-1.0.1.0-6JvlnwEtz8uxpj90Bws4p
    conduit-1.3.5-LZOcxy33cqcBpisPJFR69D
    conduit-extra-1.3.6-4giwc0tYp0U4M9cTjeKPsC containers-0.6.4.1
    crypto-cipher-types-0.0.9-F68KV0MnGZJCXo0t1WTozt
    cryptonite-0.30-3IfW3sIASsWAjxaXX6pjKd
    errors-2.3.0-EEqHvBp9s0C3ZjcIzueQWQ
    hashable-1.4.3.0-JNIl3QAmQdVCUYfpxV7wfJ
    incremental-parser-0.5.1-5HvaXfFX0tUFyrMv57MWrp
    ixset-typed-0.5.1.0-BM1VEqixSil5TWEA7jg8Tm
    lens-5.2.3-Fb2iV9hhvDiI9S0zVfKi3i
    memory-0.18.0-KC0M2DcF55TEVHxP6av2cL
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.1-IV6lkFWFRAcBFJC6Y7y48c
    network-uri-2.6.4.2-5BhI76yf5FF3r9XUasIRDs
    openpgp-asciiarmor-0.1.2-67k3WolQxDFJ3GeFM8c7mf
    prettyprinter-1.7.1-CtNvMFFYlbOL2GzmBKSXtx
    resourcet-1.2.6-23yLJyvo719CvYWIjW3gEg
    split-0.2.5-IiJVMbWpsRS8onfVw2iHJp text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.20-JUpj03e9UBE4KYc3X7i8JW
    zlib-0.6.3.0-7dyta8qtrVeTN5i5Nwtef

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

